## glmark2 2022.06~git.3f1104d

=== wscript ===
import os, platform
from waflib import Context

out = 'build'
top = '.'

VERSION = '2021.12'
APPNAME = 'glmark2'

FLAVORS = {
    'dispmanx-glesv2' : 'glmark2-es2-dispmanx',
    'drm-gl' : 'glmark2-drm',
    'drm-glesv2' : 'glmark2-es2-drm',
    'mir-gl' : 'glmark2-mir',
    'mir-glesv2' : 'glmark2-es2-mir',
    'wayland-gl' : 'glmark2-wayland',
    'wayland-glesv2' : 'glmark2-es2-wayland',
    'win32-gl': 'glmark2-win32',
    'win32-glesv2': 'glmark2-es2',
    'x11-gl' : 'glmark2',
    'x11-glesv2' : 'glmark2-es2',
}
FLAVORS_STR = ", ".join(sorted(list(FLAVORS) + ['all-linux', 'all-win32']))

def linux_flavors():
    return [f for f in FLAVORS.keys() if not f.startswith('win32')]

def win32_flavors():
    return [f for f in FLAVORS.keys() if f.startswith('win32')]

def option_list_cb(option, opt, value, parser):
    value = value.split(',')
    setattr(parser.values, option.dest, value)

def list_contains(lst, token):
    for e in lst:
        if token.endswith('$'):
            if e.endswith(token[:-1]): return True
        elif token in e: return True

    return False

def options(opt):
    opt.load('gnu_dirs')
    opt.load('compiler_c')
    opt.load('compiler_cxx')

    opt.add_option('--with-flavors', type = 'string', action='callback',
                   callback=option_list_cb,
                   dest = 'flavors',
                   help = "a list of flavors to build (%s, all-linux (except dispmanx-glesv2), all-win32)" % FLAVORS_STR)
    opt.parser.set_default('flavors', [])

    opt.parser.add_option('--version-suffix', type='string', action='store', dest='versionsuffix',
                          default='', help='add a suffix to the version number')

    opt.add_option('--no-debug', action='store_false', dest = 'debug',
                   default = True, help='disable compiler debug information')
    opt.add_option('--no-opt', action='store_false', dest = 'opt',
                   default = True, help='disable compiler optimizations')
    opt.add_option('--data-path', action='store', dest = 'data_path',
                   help='path to main data (also see --data(root)dir)')
    opt.add_option('--extras-path', action='store', dest = 'extras_path',
                   help='path to additional data (models, shaders, textures)')

def get_data_path(ctx):
    if ctx.options.data_path is not None:
        return ctx.options.data_path
    else:
        return os.path.join(ctx.env.DATADIR, 'glmark2')

def configure(ctx):
    # Special 'all' flavor
    if 'all-linux' in ctx.options.flavors:
        ctx.options.flavors = list(set(ctx.options.flavors) | set(linux_flavors()))
        ctx.options.flavors.remove('all-linux')
        # dispmanx is a special case, we don't want to include it in all
        ctx.options.flavors.remove('dispmanx-glesv2')

    if 'all-win32' in ctx.options.flavors:
        ctx.options.flavors = list(set(ctx.options.flavors) | set(win32_flavors()))
        ctx.options.flavors.remove('all-win32')

    is_win = any(True for f in win32_flavors() if f in ctx.options.flavors)
    is_linux = any(True for f in linux_flavors() if f in ctx.options.flavors)

    if is_win and is_linux:
        ctx.fatal('Simultaneous Windows and Linux builds are not supported')

    # Ensure the flavors are valid
    for flavor in ctx.options.flavors:
       if flavor not in FLAVORS:
            ctx.fatal('Unknown flavor: %s. Supported flavors are %s' % (flavor, FLAVORS_STR))

    if not ctx.options.flavors:
        ctx.fatal('You need to select at least one flavor with --with-flavors=flavor1[,flavor2]...\n' +
                  'Supported flavors are %s' % FLAVORS_STR)

    for flavor in FLAVORS:
        if flavor in ctx.options.flavors:
            ctx.env["FLAVOR_%s" % flavor.upper().replace('-','_')] = FLAVORS[flavor]

    ctx.load('gnu_dirs')
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')

    if is_win:
        configure_win32(ctx)
    else:
        configure_linux(ctx)

    ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % (VERSION + ctx.options.versionsuffix))
    ctx.env.GLMARK2_VERSION = (VERSION + ctx.options.versionsuffix)

    ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
    ctx.msg("Data path", get_data_path(ctx), color = 'PINK')
    ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
            color = 'PINK');
    if ctx.env.HAVE_EXTRAS:
        ctx.msg("Extras path", ctx.options.extras_path, color = 'PINK')
    ctx.msg("Building flavors", ctx.options.flavors)


def configure_win32(ctx):
    # Check required headers
    req_headers = ['stdlib.h', 'string.h', 'stdint.h', 'stdio.h', 'windows.h']
    for header in req_headers:
        ctx.check_cc(header_name = header, auto_add_header_name = True, mandatory = True)

    req_libs = [('user32', 'user32'), ('opengl32', 'opengl32'), ('gdi32', 'gdi32')]
    for (lib, uselib) in req_libs:
        ctx.check_cc(lib = lib, uselib_store = uselib)

    # Prepend CXX flags so that they can be overriden by the
    # CXXFLAGS environment variable
    if ctx.options.opt:
        ctx.env.prepend_value('CXXFLAGS', '-O2')
    if ctx.env.CXX_NAME != 'msvc':
        if ctx.options.debug:
            ctx.env.prepend_value('CXXFLAGS', '-g')
        ctx.env.prepend_value('CXXFLAGS', '-std=c++14 -Wall -Wextra -Wnon-virtual-dtor'.split(' '))
    else:
        ctx.env.prepend_value('CXXFLAGS', '/EHsc /wd4312'.split(' '))

    ctx.env.HAVE_EXTRAS = False
    if ctx.options.extras_path is not None:
        ctx.env.HAVE_EXTRAS = True
        ctx.env.append_unique('GLMARK_EXTRAS_PATH', ctx.options.extras_path)
        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % ctx.options.extras_path)

    data_path = get_data_path(ctx)

    # Necessary for M_PI
    ctx.env.append_unique('DEFINES', '_USE_MATH_DEFINES')
    ctx.env.append_unique('DEFINES', 'WIN32')
    # String contants have issues with Windows slashes
    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path.replace('\\', '/'))
    ctx.env.append_unique('GLMARK_DATA_PATH', data_path)


def configure_linux(ctx):
    # Check required headers
    req_headers = ['stdlib.h', 'string.h', 'stdint.h', 'stdio.h', 'dlfcn.h',
                   'unistd.h', 'jpeglib.h', 'math.h', 'string.h']
    for header in req_headers:
        ctx.check_cc(header_name = header, auto_add_header_name = True, mandatory = True)

    # Check for required libs
    req_libs = [('m', 'm'), ('jpeg', 'jpeg')]
    for (lib, uselib) in req_libs:
        ctx.check_cc(lib = lib, uselib_store = uselib)

    # Check for required functions. Note that headers from req_headers
    # are already included for this check.
    ctx.check_cc(function_name = 'memset', mandatory = True)
    # Special test code for sqrt, to make clang/libc++ happy.
    ctx.check_cc(fragment = 'int main(void) { double (*p)(double); p = sqrt; }',
                 msg = 'Checking for function sqrt',
                 uselib = ['m'], mandatory = True)

    # Check for a supported version of libpng
    have_png = False
    supp_png_pkgs = (('libpng12', '1.2'), ('libpng15', '1.5'), ('libpng16', '1.6'),)
    for (pkg, atleast) in supp_png_pkgs:
        try:
            pkg_ver = ctx.check_cfg(package=pkg, uselib_store='libpng', atleast_version=atleast,
                                    args = ['--cflags', '--libs'])
        except:
            continue
        else:
            have_png = True
            break

    if not have_png:
        ctx.fatal('You need to install a supported version of libpng: ' + str(supp_png_pkgs))

    dispmanx = 'dispmanx-glesv2' in ctx.options.flavors
    if dispmanx:
        # dispmanx uses custom Broadcom libraries that don't follow standard
        # Linux packaging.  Just force the library setup here.
        if len(ctx.options.flavors) != 1:
            ctx.fatal("dispmanx can't be built with any other flavor")

        ctx.env.append_value('CXXFLAGS', '-I/opt/vc/include')

        ctx.check_cxx(lib = 'brcmGLESv2', uselib_store = 'glesv2', libpath='/opt/vc/lib')
        ctx.check_cxx(lib = ['brcmEGL', 'brcmGLESv2'], uselib_store = 'egl', libpath='/opt/vc/lib')
        ctx.check_cxx(lib = ['bcm_host', 'vcos', 'vchiq_arm'], uselib_store = 'dispmanx', libpath='/opt/vc/lib')

    # Check optional packages
    opt_pkgs = [('x11', 'x11', None, list_contains(ctx.options.flavors, 'x11')),
                ('libdrm','drm', None, list_contains(ctx.options.flavors, 'drm')),
                ('gbm','gbm', None, list_contains(ctx.options.flavors, 'drm')),
                ('libudev', 'udev', None, list_contains(ctx.options.flavors, 'drm')),
                ('mirclient','mirclient', '0.13', list_contains(ctx.options.flavors, 'mir')),
                ('wayland-client','wayland-client', None, list_contains(ctx.options.flavors, 'wayland')),
                ('wayland-cursor','wayland-cursor', None, list_contains(ctx.options.flavors, 'wayland')),
                ('wayland-egl','wayland-egl', None, list_contains(ctx.options.flavors, 'wayland'))]
    for (pkg, uselib, atleast, mandatory) in opt_pkgs:
        if atleast is None:
            ctx.check_cfg(package = pkg, uselib_store = uselib,
                          args = '--cflags --libs', mandatory = mandatory)
        else:
            ctx.check_cfg(package = pkg, uselib_store = uselib, atleast_version=atleast,
                          args = '--cflags --libs', mandatory = mandatory)

    if list_contains(ctx.options.flavors, 'drm'):
        try:
            # gbm >= 17.1 required for multiplane
            ctx.check_cfg(package = 'gbm', atleast_version = '17.1')
            ctx.env.append_unique('DEFINES', 'GBM_HAS_PLANES')
        except: pass

    if list_contains(ctx.options.flavors, 'wayland'):
        # wayland-protocols >= 1.12 required for xdg-shell stable
        ctx.check_cfg(package = 'wayland-protocols', atleast_version = '1.12',
                      variables = ['pkgdatadir'], uselib_store = 'WAYLAND_PROTOCOLS')
        ctx.check_cfg(package = 'wayland-scanner', variables = ['wayland_scanner'],
                      uselib_store = 'WAYLAND_SCANNER')

    # Prepend CXX flags so that they can be overriden by the
    # CXXFLAGS environment variable
    if ctx.options.opt:
        ctx.env.prepend_value('CXXFLAGS', '-O2')
    if ctx.options.debug:
        ctx.env.prepend_value('CXXFLAGS', '-g')
    ctx.env.prepend_value('CXXFLAGS', '-std=c++14 -Wall -Wextra -Wnon-virtual-dtor'.split(' '))

    ctx.env.HAVE_EXTRAS = False
    if ctx.options.extras_path is not None:
        ctx.env.HAVE_EXTRAS = True
        ctx.env.append_unique('GLMARK_EXTRAS_PATH', ctx.options.extras_path)
        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % ctx.options.extras_path)

    data_path = get_data_path(ctx)

    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path)
    ctx.env.append_unique('GLMARK_DATA_PATH', data_path)

def build(ctx):
    ctx.recurse('src')
    ctx.recurse('data')
    ctx.recurse('doc')

class Glmark2Dist(Context.Context):
    """ Custom dist command that preserves symbolic links"""

    cmd = "dist"

    def execute(self):
        self.recurse([os.path.dirname(Context.g_module.root_path)])
        self.archive()

    def get_files(self):
        import fnmatch
        files = []
        excludes = ['*.bzr', '*.git', '*~', './.*waf*', './build*', '*.swp', '*.pyc', '*glmark2-*.tar.gz']
        for (dirpath, dirnames, filenames) in os.walk(top):
            names_to_remove = []
            names = dirnames + filenames
            for n in names:
                for exclude in excludes:
                    if fnmatch.fnmatch(os.path.join(dirpath, n), exclude):
                        names_to_remove.append(n)
                        break

            for d in names_to_remove:
                if d in dirnames:
                    dirnames.remove(d)
                if d in filenames:
                    filenames.remove(d)

            files.extend([os.path.join(dirpath, d) for d in dirnames])

=== debian/changelog ===
glmark2 (2:2022.06~git.3f1104d-1revyos1) unstable; urgency=medium

  * Rebuild for revyos

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 07 May 2023 17:18:44 +0800

glmark2 (2022.06~git.3f1104d-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update standards version to 4.6.1, no changes needed.
  * Rules-Requires-Root: no

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Jun 2022 13:13:14 +0200

glmark2 (2021.10~git.e359bb0-2) unstable; urgency=medium

  * Add Provides/Replaces to ease transition from Ubuntu packages.
  * Prefer pkgconf to pkg-config.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 18 Nov 2021 11:13:03 +0100

glmark2 (2021.10~git.e359bb0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update the watch file.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 18 Nov 2021 10:51:58 +0100

glmark2 (2021.02+ds-1) unstable; urgency=low

  * Initial release. (Closes: #695849)
    Includes 2 patches from upstream to fix two issues, one related to wayland
    and one about creating two EGLDisplays which might cause issues on some
    platforms.

 -- Marius Vlad <marius.vlad@collabora.com>  Fri, 07 May 2021 13:29:55 +0200

=== debian/control ===
Source: glmark2
Section: utils
Priority: optional
Standards-Version: 4.6.1
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marius Vlad <marius.vlad@collabora.com>
Build-Depends: debhelper-compat (= 13),
               libdrm-dev,
               libgbm-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libjpeg-dev,
               libpng-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               meson,
               pkgconf | pkg-config,
               python3,
               wayland-protocols,
Homepage: https://github.com/glmark2/glmark2
Vcs-Git: https://salsa.debian.org/games-team/glmark2.git
Vcs-Browser: https://salsa.debian.org/games-team/glmark2
Rules-Requires-Root: no

Package: glmark2-es2-x11
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: glmark2-es2
Replaces: glmark2-es2 (<< 2021.02+ds)
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the X11 platform. GLESv2 version.

Package: glmark2-x11
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: glmark2
Replaces: glmark2 (<< 2021.02+ds)
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the X11 platform. GL version.

Package: glmark2-es2-wayland
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libwayland-client0,
         libwayland-cursor0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package intended only for the wayland platform. GLESv2 version.

Package: glmark2-wayland
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libwayland-client0,
         libwayland-cursor0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package intended only for the wayland platform. GL version.

Package: glmark2-es2-drm
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libdrm2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the DRM stand-alone back-end. GLESv2 version.

Package: glmark2-drm
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libdrm2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the DRM stand-alone back-end. GL version.

Package: glmark2-data
Architecture: all
Depends: ${misc:Depends}
Recommends: glmark2-drm (>= ${source:Version}) |
	    glmark2-wayland (>= ${source:Version}) |
	    glmark2-x11 (>= ${source:Version}) |
	    glmark2-es2-wayland (>= ${source:Version}) |
	    glmark2-es2-drm (>= ${source:Version}) |
	    glmark2-es2-x11 (>= ${source:Version}),
Description: OpenGL (ES) 2.0 benchmark suite -- data files
 glmark2 is a benchmark for OpenGL (ES) 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package provides data files.

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y.%m,pretty=%cd~git.%h,\
repack,compression=xz,\
" https://github.com/glmark2/glmark2.git \
  heads/master

## glmark2 2023.01%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dflavors=x11-glesv2,x11-gl,wayland-glesv2,wayland-gl,drm-glesv2,drm-gl

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## glmark2 2023.01+dfsg

=== meson_options.txt ===
option('flavors', type : 'array',
       choices : [
           'drm-gl',
           'drm-glesv2',
           'gbm-gl',
           'gbm-glesv2',
           'wayland-gl',
           'wayland-glesv2',
           'x11-gl',
           'x11-glesv2',
           'x11-gl-egl'
        ],
        value : []
)

option('data-path', type : 'string', value : '')
option('extras-path', type : 'string', value : '')
option('version-suffix', type : 'string', value : '')

=== wscript ===
--- 
+++ 
@@ -4,15 +4,13 @@
 out = 'build'
 top = '.'
 
-VERSION = '2021.12'
+VERSION = '2023.01'
 APPNAME = 'glmark2'
 
 FLAVORS = {
     'dispmanx-glesv2' : 'glmark2-es2-dispmanx',
     'drm-gl' : 'glmark2-drm',
     'drm-glesv2' : 'glmark2-es2-drm',
-    'mir-gl' : 'glmark2-mir',
-    'mir-glesv2' : 'glmark2-es2-mir',
     'wayland-gl' : 'glmark2-wayland',
     'wayland-glesv2' : 'glmark2-es2-wayland',
     'win32-gl': 'glmark2-win32',
@@ -212,7 +210,6 @@
                 ('libdrm','drm', None, list_contains(ctx.options.flavors, 'drm')),
                 ('gbm','gbm', None, list_contains(ctx.options.flavors, 'drm')),
                 ('libudev', 'udev', None, list_contains(ctx.options.flavors, 'drm')),
-                ('mirclient','mirclient', '0.13', list_contains(ctx.options.flavors, 'mir')),
                 ('wayland-client','wayland-client', None, list_contains(ctx.options.flavors, 'wayland')),
                 ('wayland-cursor','wayland-cursor', None, list_contains(ctx.options.flavors, 'wayland')),
                 ('wayland-egl','wayland-egl', None, list_contains(ctx.options.flavors, 'wayland'))]
@@ -291,3 +288,9 @@
                     filenames.remove(d)
 
             files.extend([os.path.join(dirpath, d) for d in dirnames])
+            files.extend([os.path.join(dirpath, f) for f in filenames])
+
+        return files
+
+    def archive(self):
+        import tarfile

=== debian/changelog ===
glmark2 (2023.01+dfsg-3) unstable; urgency=medium

  * Enable all hardening flags
  * Standards-Version: 4.7.2 (no changes required)
  * Fix upstream-metadata-missing-repository
  * Simplify debian/watch

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 Aug 2025 10:14:07 +0200

glmark2 (2023.01+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependencies (Closes: #1104979, LP: #2025684)
  * Switch from libgl1-mesa-dev to obsolete libgl-dev in Build-Deps
  * Remove obsolete pkg-config from Build-Deps
  * Add myself in Uploaders

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 May 2025 17:11:04 +0200

glmark2 (2023.01+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream release.
  * Also track upstream tags with debian/watch
  * Refresh patch
  * Update standards version to 4.6.2, no changes needed

  [ Debian Janitor ]
  * Apply multi-arch hints. + glmark2-data: Add Multi-Arch: foreign.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Feb 2023 10:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: glmark2
 Section: utils
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Marius Vlad <marius.vlad@collabora.com>
+Uploaders: Marius Vlad <marius.vlad@collabora.com>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libdrm-dev,
                libgbm-dev,
-               libgl1-mesa-dev,
+               libgl-dev,
                libgles2-mesa-dev,
                libjpeg-dev,
                libpng-dev,
@@ -15,7 +16,7 @@
                libwayland-dev,
                libxcb1-dev,
                meson,
-               pkgconf | pkg-config,
+               pkgconf,
                python3,
                wayland-protocols,
 Homepage: https://github.com/glmark2/glmark2
@@ -26,12 +27,13 @@
 Package: glmark2-es2-x11
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libx11-6,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: glmark2-es2
 Replaces: glmark2-es2 (<< 2021.02+ds)
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (X11 / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -44,12 +46,13 @@
 Package: glmark2-x11
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgl1,
          libx11-6,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: glmark2
 Replaces: glmark2 (<< 2021.02+ds)
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (X11 / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -62,11 +65,12 @@
 Package: glmark2-es2-wayland
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libwayland-client0,
          libwayland-cursor0,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (Wayland / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -79,11 +83,12 @@
 Package: glmark2-wayland
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libegl1,
          libwayland-client0,
          libwayland-cursor0,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (Wayland / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -96,10 +101,11 @@
 Package: glmark2-es2-drm
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libdrm2,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (DRM / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -115,7 +121,7 @@
          libdrm2,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (DRM / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -134,6 +140,7 @@
 	    glmark2-es2-wayland (>= ${source:Version}) |
 	    glmark2-es2-drm (>= ${source:Version}) |
 	    glmark2-es2-x11 (>= ${source:Version}),
+Multi-Arch: foreign
 Description: OpenGL (ES) 2.0 benchmark suite -- data files
  glmark2 is a benchmark for OpenGL (ES) 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/glmark2/glmark2/tags .*/v?(\d.*)@ARCHIVE_EXT@

# opts="\
# pgpmode=none,\
# mode=git,gitmode=shallow,date=%Y.%m,pretty=%cd~git.%h,\
# repack,compression=xz,\
# " https://github.com/glmark2/glmark2.git \
#  heads/master
